#### PyKDE - Python Bindings for KDE

# class KIO.ChmodJob |
Table of contents
Modules
kio Classes
All Classes

Module | kio
Class | KIO.ChmodJob
Inherits | KIO.Job

### methods

- ChmodJob (lstItems, permissions, mask, newOwner, newGroup, recursive, showProgressInfo)

  returns a ChmodJob instance
  Argument | Type | Default
  --- | --- | ---
  lstItems | KFileItemList |
  permissions | int |
  mask | int |
  newOwner | int |
  newGroup | int |
  recursive | bool |
  showProgressInfo | bool |

- chmodNextFile ()

  returns nothing

- processList ()

  returns nothing

- slotEntries (a0, a1)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | KIO.Job |
  a1 | KIO.UDSEntryList |

- slotResult (job)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  job | KIO.Job |